$Id: 906_debian_xfs.diff 428 2005-07-28 04:30:44Z dnusinow $

Set up defaults that make more sense for Debian.

This patch by Branden Robinson.

Index: a/config.cpp
===================================================================
--- a/config.cpp.orig	2006-03-07 22:09:01.000000000 -0500
+++ b/config.cpp	2006-03-07 22:13:53.000000000 -0500
@@ -1,15 +1,20 @@
 XCOMM font server configuration file
 XCOMM $Xorg: config.cpp,v 1.3 2000/08/17 19:54:19 cpqbld Exp $
 
+XCOMM allow a maximum of 10 clients to connect to this font server
+client-limit = 10
+XCOMM when a font server reaches its limit, start up a new one
 clone-self = on
-use-syslog = off
-catalogue = DEFAULTFONTPATH
+XCOMM log messages to FSERRORS
+XCOMM (Debian xfs uses syslog by default to run as nobody)
-error-file = FSERRORS
+XCOMM error-file = FSERRORS
+XCOMM log errors using syslog
+use-syslog = on
+XCOMM turn off TCP port listening (Unix domain connections are still permitted)
+no-listen = tcp
+XCOMM paths to search for fonts
+catalogue = /usr/share/fonts/X11/misc/,/usr/share/fonts/X11/cyrillic/,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1/,/usr/share/fonts/X11/100dpi/,/usr/share/fonts/X11/75dpi/
 XCOMM in decipoints
 default-point-size = 120
-default-resolutions = 75,75,100,100
-
-XCOMM font cache control, specified in KB
-cache-hi-mark = 2048
-cache-low-mark = 1433
-cache-balance = 70
+XCOMM x1,y1,x2,y2,...
+default-resolutions = 100,100,75,75
